MinimServer Forum

Full Version: Unable to download Container image file for 2.0.18
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
Tried to Pull the 2.0.18 image file to update my MinimServer QNAP Container but I only get the following error message:

Update container apps list failed: HTTPSConnectionPool(host='github.com', port=443): Max retries exceeded with url: //qnap-dev/container-apps/commits/2.0 (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x430d750>: Failed to establish a new connection: [Errno -2] Name or service not known',))

I was setting Image Version to 2.0.18. Any help would be appreciated.
Thank you for letting me know about this. The web page is incorrect. At present, the current image version for Docker is 2.0.16. I will correct the web page later today.

Edit: The incorrect page is fixed now. If you have a cached copy in your browser, you need to force a reload to see the change.
Not sure what you are telling me. I am still getting the message that 2.0.18 is available when I look for updates. Is that not the case now?
2.0.18 has a fix that is needed for Linux but not for Docker. For Docker, 2.0.16 is fine.

I understand that what you are seeing is inconsistent. The best you can do at present is to stay on 2.0.16 for Docker and ignore the incorrect message about an update to 2.0.18 being needed. I will work on resolving this inconsistency.
(18-04-2021 22:08)simoncn Wrote: [ -> ]2.0.18 has a fix that is needed for Linux but not for Docker. For Docker, 2.0.16 is fine.

I understand that what you are seeing is inconsistent. The best you can do at present is to stay on 2.0.16 for Docker and ignore the incorrect message about an update to 2.0.18 being needed. I will work on resolving this inconsistency.

Any news on keeping a docker installation of MiimServer up to date? I followed the instructions on installing minimserver in a docker container and it has worked well but I see that the container has not been up dated for some months.
MinimServer updates automatically when it is started and an internet connection is available. The latest update is update 193. You can check this from the MinimServer configuration web page. If you are not on update 193, stopping and restarting the container should install this update. The version number (2.0.16 or 2.0.18) doesn't matter if you are running update 193.
(15-05-2021 21:52)simoncn Wrote: [ -> ]MinimServer updates automatically when it is started and an internet connection is available. The latest update is update 193. You can check this from the MinimServer configuration web page. If you are not on update 193, stopping and restarting the container should install this update. The version number (2.0.16 or 2.0.18) doesn't matter if you are running update 193.

I have update 193 and 2.0.16, but Minimserver recalls me to download 2.0.18 each time I launch MinimWatch. It never update automatically, and my Linux has internet, I can do apt upgrade etc.. If I go to Properties/Package of Minimwatch, I don't see 2.0.18 as available package.

What can I do to be free of the upgrade recall message ?
Are you using Docker to run MinimServer?

If you are not using Docker, you can update to 2.0.18 using the instructions in this section. Because 2.0.18 is a new version rather than an online update, you can't install it using MinimWatch.

If you are using Docker to run MinimServer, the 2.0.18 Docker image is available from Docker Hub now. To update to this, you need to create a new Docker container from the 2.0.18 Docker image. If your current 2.0.16 container has a MinimServer full license activated, make sure you deactivate this license before destroying the 2.0.16 container.
(19-05-2021 11:55)simoncn Wrote: [ -> ]If you are using Docker to run MinimServer, the 2.0.18 Docker image is available from Docker Hub now. To update to this, you need to create a new Docker container from the 2.0.18 Docker image. If your current 2.0.16 container has a MinimServer full license activated, make sure you deactivate this license before destroying the 2.0.16 container.

This does not work for me. I have a working install of 2.0.16 which I created and manage with Portainer. I can successfully stop, destroy and create a new container using the official 2.0.16 image from dockerhub. This just works and takes less than 2 minutes.

When I try to use the 2.0.18 image everything looks fine, the container seems to be created and to start, but I cannot connect to the minimserver configuration page and I cannot see what is different between the two images. Any suggestions of where to look to understand what the problem is?

EDIT

My bad. When I connected to my previous install (2.0.16) I connected to port 9792 and now it seems I should connect to the new install (2.0.18) on port 9790. The new container with 2.0.18 works perfectly.
Are you using the Intel image or the ARM image for 2.0.18?

What do you see in the minimserver.config, minimserver.log and minimserver-out.log files after starting the 2.0.18 container?
Pages: 1 2
Reference URL's